#include<bits/stdc++.h>
#define IOS ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL)

using namespace std;

typedef long long ll;
typedef unsigned long long ull;
int n, x, mn, mx;
int main() {
    IOS; cin >> n >> x;
    mn = mx = x;
    for(int i=0; i<n; ++i)  {
        int a; cin >> a;
        if(a<x) mn=min(mn, a);
        else mx=max(mx, a);
    }
    cout << mx-mn+min(x-mn,mx-x);
    return 0;
}